Bug 1303601 - python-cloud-sptheme: Provide a Python 3 subpackage
Summary: python-cloud-sptheme: Provide a Python 3 subpackage
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-cloud-sptheme
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fedora Infrastructure SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3 PY3PATCH-PUSH
TreeView+ depends on / blocked
 
Reported: 2016-02-01 12:17 UTC by Petr Viktorin
Modified: 2016-07-27 20:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-27 20:00:14 UTC


Attachments (Terms of Use)
add Python 3 & update version (3.65 KB, patch)
2016-06-10 15:49 UTC, Dominika Krejčí
no flags Details | Diff
add Python 3 & update version (3.66 KB, patch)
2016-07-27 11:13 UTC, Dominika Krejčí
no flags Details | Diff

Description Petr Viktorin 2016-02-01 12:17:51 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's fine to do this in Rawhide only.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file

Comment 1 Jan Kurik 2016-02-24 14:23:09 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 2 Fedora Admin XMLRPC Client 2016-04-04 19:57:39 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Dominika Krejčí 2016-06-10 15:49:55 UTC
Created attachment 1166675 [details]
add Python 3 & update version

Hi,
here is the change needed to add Python 3 support and update the version. Could you please review it and do the update?

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=14452175

Also tested in Mock (fedora-22-x86_64, fedora-23-x86_64, fedora-24-x86_64, fedora-rawhide-i386, fedora-rawhide-x86_64).

Comment 4 Dominika Krejčí 2016-07-27 11:13:15 UTC
Created attachment 1184600 [details]
add Python 3 & update version

Updating the %changelog and fix of Requires in the Python 3 subpackage.

Comment 5 Lumír Balhar 2016-07-27 12:26:54 UTC
Patch is OK.

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=15035111

Comment 6 Ralph Bean 2016-07-27 20:00:14 UTC
Applied and built in rawhide.  Thank you!  :)


Note You need to log in before you can comment on or make changes to this bug.